// This file was generated by SquareLine Studio
// SquareLine Studio version: SquareLine Studio 1.4.0
// LVGL version: 8.3.6
// Project name: Cardv

#ifndef _CARDV_UI_H
#define _CARDV_UI_H

#ifdef __cplusplus
extern "C" {
#endif

#include "lvgl/lvgl.h"

#include "ui_helpers.h"
#include "ui_events.h"

// SCREEN: ui_MainScreen
void ui_MainScreen_screen_init(void);
void ui_event_MainScreen(lv_event_t * e);
extern lv_obj_t * ui_MainScreen;
extern lv_obj_t * ui_CapLabel;
extern lv_obj_t * ui_WifiLabel;
extern lv_obj_t * ui_AudioLabel;
extern lv_obj_t * ui_SDCaedLabel;
extern lv_obj_t * ui_BatteryLabel;
extern lv_obj_t * ui_RecPointLabel;
extern lv_obj_t * ui_RecTxtLabel;
extern lv_obj_t * ui_TimeLabel;
extern lv_obj_t * ui_WeekLabel;
extern lv_obj_t * ui_DataTimeLabel;
extern lv_obj_t * ui_HomeButtonPanel;
void ui_event_CaptureButton(lv_event_t * e);
extern lv_obj_t * ui_CaptureButton;
void ui_event_RecordButton(lv_event_t * e);
extern lv_obj_t * ui_RecordButton;
void ui_event_PlaybackButton(lv_event_t * e);
extern lv_obj_t * ui_PlaybackButton;
void ui_event_SettingsButton(lv_event_t * e);
extern lv_obj_t * ui_SettingsButton;
extern lv_obj_t * ui_FormatConfirm;
extern lv_obj_t * ui_FormatTitleView;
extern lv_obj_t * ui_FormatViewBar;
extern lv_obj_t * ui_FormatConfirmText1;
extern lv_obj_t * ui_FormatConfirmText2;
void ui_event_FormatConfirmNOButton(lv_event_t * e);
extern lv_obj_t * ui_FormatConfirmNOButton;
extern lv_obj_t * ui_FormatConfirmNOLabel;
void ui_event_FormatConfirmYesButton(lv_event_t * e);
extern lv_obj_t * ui_FormatConfirmYesButton;
extern lv_obj_t * ui_FormatConfirmYesLabel;
// SCREEN: ui_MenuScreen
void ui_MenuScreen_screen_init(void);
void ui_event_MenuScreen(lv_event_t * e);
extern lv_obj_t * ui_MenuScreen;
extern lv_obj_t * ui_MainListPanel;
extern lv_obj_t * ui_MainListBtn;
extern lv_obj_t * ui_MainListBtnIcon;
extern lv_obj_t * ui_MainListBtnLabel;
extern lv_obj_t * ui_MainListBtnLabelSub;
extern lv_obj_t * ui_MainListBtnIconSub;
extern lv_obj_t * ui_SubListPanel;
extern lv_obj_t * ui_SubListButton;
extern lv_obj_t * ui_SubListButtonIcon;
extern lv_obj_t * ui_SubListButtonIconSub;
extern lv_obj_t * ui_SubListButtonLabel;
extern lv_obj_t * ui_SubMenuConfirmPanel;
extern lv_obj_t * ui_TitleTextLabel;
extern lv_obj_t * ui_ViewBarLabel;
extern lv_obj_t * ui_SubMenuConfirmTextLabel;
extern lv_obj_t * ui_SubMenuConfirmTextLabel2;
void ui_event_MenuConfirmNoButton(lv_event_t * e);
extern lv_obj_t * ui_MenuConfirmNoButton;
extern lv_obj_t * ui_MenuConfirmNoLabel;
void ui_event_MenuConfirmYesButton(lv_event_t * e);
extern lv_obj_t * ui_MenuConfirmYesButton;
extern lv_obj_t * ui_MenuConfirmYesLabel;
// SCREEN: ui_PlaybackScreen
void ui_PlaybackScreen_screen_init(void);
void ui_event_PlaybackScreen(lv_event_t * e);
extern lv_obj_t * ui_PlaybackScreen;
extern lv_obj_t * ui_PlayBackFileListPanel;
extern lv_obj_t * ui_FileListPanel;
void ui_event_BackButton(lv_event_t * e);
extern lv_obj_t * ui_BackButton;
extern lv_obj_t * ui_BackButtonLabel;
void ui_event_DeleteButton(lv_event_t * e);
extern lv_obj_t * ui_DeleteButton;
extern lv_obj_t * ui_DeleteButtonLabel;
extern lv_obj_t * ui_CurFileLabel;
extern lv_obj_t * ui_PlayBackPanel;
extern lv_obj_t * ui_DateTimeLabel;
extern lv_obj_t * ui_PlayButton;
extern lv_obj_t * ui_NextButton;
extern lv_obj_t * ui_LastButton;
extern lv_obj_t * ui_CurPlayTime;
extern lv_obj_t * ui_PlayBackButton;
extern lv_obj_t * ui____initial_actions0;


LV_IMG_DECLARE(ui_img_cap_png);    // assets/cap.png
LV_IMG_DECLARE(ui_img_wifi_wifi_signal_5_png);    // assets/wifi/wifi_signal_5.png
LV_IMG_DECLARE(ui_img_icon_mute_000_png);    // assets/icon_mute_000.png
LV_IMG_DECLARE(ui_img_icon_sd_yes_000_png);    // assets/icon_sd_yes_000.png
LV_IMG_DECLARE(ui_img_icon_battery_000_png);    // assets/icon_battery_000.png
LV_IMG_DECLARE(ui_img_video_icon_rec_dot_png);    // assets/video_icon_rec_dot.png
LV_IMG_DECLARE(ui_img_video_icon_rec_txt_png);    // assets/video_icon_rec_txt.png
LV_IMG_DECLARE(ui_img_photo_75x75_png);    // assets/photo_75x75.png
LV_IMG_DECLARE(ui_img_video_res_75x75_png);    // assets/video_res_75x75.png
LV_IMG_DECLARE(ui_img_video_playback_75x75_png);    // assets/video_playback_75x75.png
LV_IMG_DECLARE(ui_img_general_set_75x75_png);    // assets/general_set_75x75.png
LV_IMG_DECLARE(ui_img_icon_sub_video_resolution_png);    // assets/icon_sub_video_resolution.png
LV_IMG_DECLARE(ui_img_icon_sub_universal_right_png);    // assets/icon_sub_universal_right.png
LV_IMG_DECLARE(ui_img_icon_sub_unlock_png);    // assets/icon_sub_unlock.png
LV_IMG_DECLARE(ui_img_player_play_sel_png);    // assets/player/play_sel.png
LV_IMG_DECLARE(ui_img_player_fast_sel_png);    // assets/player/fast_sel.png
LV_IMG_DECLARE(ui_img_player_slow_sel_png);    // assets/player/slow_sel.png
LV_IMG_DECLARE(ui_img_player_updir_png);    // assets/player/upDir.png
LV_IMG_DECLARE(ui_img_num_0_png);    // assets/num/0.png
LV_IMG_DECLARE(ui_img_num_1_png);    // assets/num/1.png
LV_IMG_DECLARE(ui_img_num_2_png);    // assets/num/2.png
LV_IMG_DECLARE(ui_img_num_3_png);    // assets/num/3.png
LV_IMG_DECLARE(ui_img_num_4_png);    // assets/num/4.png
LV_IMG_DECLARE(ui_img_num_5_png);    // assets/num/5.png
LV_IMG_DECLARE(ui_img_num_6_png);    // assets/num/6.png
LV_IMG_DECLARE(ui_img_num_7_png);    // assets/num/7.png
LV_IMG_DECLARE(ui_img_num_8_png);    // assets/num/8.png
LV_IMG_DECLARE(ui_img_num_9_png);    // assets/num/9.png
LV_IMG_DECLARE(ui_img_wifi_wifi_signal_0_png);    // assets/wifi/wifi_signal_0.png
LV_IMG_DECLARE(ui_img_wifi_wifi_signal_1_png);    // assets/wifi/wifi_signal_1.png
LV_IMG_DECLARE(ui_img_wifi_wifi_signal_2_png);    // assets/wifi/wifi_signal_2.png
LV_IMG_DECLARE(ui_img_wifi_wifi_signal_3_png);    // assets/wifi/wifi_signal_3.png
LV_IMG_DECLARE(ui_img_wifi_wifi_signal_4_png);    // assets/wifi/wifi_signal_4.png
LV_IMG_DECLARE(ui_img_icon_gps_000_png);    // assets/icon_gps_000.png
LV_IMG_DECLARE(ui_img_icon_gps_level_000_png);    // assets/icon_gps_level_000.png
LV_IMG_DECLARE(ui_img_icon_gps_level_001_png);    // assets/icon_gps_level_001.png
LV_IMG_DECLARE(ui_img_icon_gps_level_002_png);    // assets/icon_gps_level_002.png
LV_IMG_DECLARE(ui_img_icon_gps_level_003_png);    // assets/icon_gps_level_003.png
LV_IMG_DECLARE(ui_img_icon_gps_level_004_png);    // assets/icon_gps_level_004.png
LV_IMG_DECLARE(ui_img_icon_gsensor_l1_png);    // assets/icon_gsensor_l1.png
LV_IMG_DECLARE(ui_img_icon_gsensor_l2_png);    // assets/icon_gsensor_l2.png
LV_IMG_DECLARE(ui_img_icon_gsensor_l3_png);    // assets/icon_gsensor_l3.png
LV_IMG_DECLARE(ui_img_icon_gsensor_level_000_png);    // assets/icon_gsensor_level_000.png
LV_IMG_DECLARE(ui_img_icon_parkmode_p_000_png);    // assets/icon_parkmode_p_000.png
LV_IMG_DECLARE(ui_img_icon_parkmode_t_000_png);    // assets/icon_parkmode_t_000.png
LV_IMG_DECLARE(ui_img_icon_park_000_png);    // assets/icon_park_000.png
LV_IMG_DECLARE(ui_img_icon_recording_000_png);    // assets/icon_recording_000.png
LV_IMG_DECLARE(ui_img_icon_sd_000_png);    // assets/icon_sd_000.png
LV_IMG_DECLARE(ui_img_icon_sd_no_000_png);    // assets/icon_sd_no_000.png
LV_IMG_DECLARE(ui_img_icon_wdr_000_png);    // assets/icon_wdr_000.png
LV_IMG_DECLARE(ui_img_icon_wifi_connected_000_png);    // assets/icon_wifi_connected_000.png
LV_IMG_DECLARE(ui_img_video_75x75_png);    // assets/video_75x75.png



LV_FONT_DECLARE(ui_font_English14);
LV_FONT_DECLARE(ui_font_English16);
LV_FONT_DECLARE(ui_font_English18);
LV_FONT_DECLARE(ui_font_English20);
LV_FONT_DECLARE(ui_font_English22);
LV_FONT_DECLARE(ui_font_English24);
LV_FONT_DECLARE(ui_font_English26);
LV_FONT_DECLARE(ui_font_English28);
LV_FONT_DECLARE(ui_font_English30);



void ui_init(void);

#ifdef __cplusplus
} /*extern "C"*/
#endif

#endif
